image: python:latest

services:
  - postgres:latest

variables:
  DB_NAME: starkdb
  DATABASE_URL: "postgresql://postgres:postgres@postgres:5432/$DB_NAME"

before_script:
  - pip install -r requirements.txt
  
checking:
  stage: build
  script:
    - python manage.py check
    - pip freeze
    
desaenv:
  stage: build
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=starkind --api-key=$HEROKU_API_KEY




